Subject: cachefs problem?

From: Caroline Brossi Yates <[email-masked]>
Date: Tue, 30 Dec 1997 16:20:49 -0500 (EST)

I checked the archives and didn't see anything listed regarding this
odd problem I'm having with Pine 3.95 under Solaris 2.5.1.

When even a teeny file is saved to a folder, Pine reports "Busy" for about
30 seconds before it comes back. This is reproduceable only on one machine
using different user accounts and different X servers. Using vmstat,
truss, snoop, traceroute, etc. I am confident that it's not a memory
problem, not specific to one type of pine configuration file, not the NFS
or Mail server being slow, or network latency and not a weird imap
handshake gone awry. In fact, it appears that Pine is writing the saved
file immediately, then is waiting for god-knows-what for 30 seconds 
before it comes back to this world.

I know it's something system-specific, and the odd thing about this
machine which is showing this problem is that it has cachefs turned on
(actually, it's not even used for the /home directory where the mail
is being saved). So, to eliminate cachefs from the equation, I turned
it off for this desktop. Lo and behold, the problem stopped happening
and Pine was able to save files speedily.

(Of course, the reboot could have also fixed the problem; temporarily
or permanently.)

Any guesses or experiences with this strange behavior?

-Caroline

Unix Sys Admin
The MathWorks, Inc.